VisualEditor: Copying part of a table into an existing cell should over-write cell values, not insert it as a sub-table
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Begin with an existing wikitext table (e.g., 4 rows, 4 columns). Open the page in VisualEditor.
  1. Copy part of a different table or spreadsheet (e.g., 2 rows, 4 columns).
  1. Place cursor inside a cell of the table in VisualEditor.
  1. Paste the copied table.

Results:

VisualEditor places the entire new/rich-copied table, including wikitext formatting, inside the first cell. The wikitext parser does not deal very gracefully with table-within-table formatting.

Desired outcome:

VisualEditor should overwrite the contents of the cells with the new material.


Version: unspecified
Severity: enhancement
URL: https://en.wikipedia.org/w/index.php?diff=588462959&oldid=588405367#Create_and_copy_table.

bzimport set Reference to bz59192.
Whatamidoing-WMF created this task.Via LegacyJan 1 2014, 10:01 PM
Jdforrester-WMF added a comment.Via ConduitJan 18 2014, 6:03 AM

This'll be… hard, to put it mildly. We should think about whether it's what we want to achieve in terms of UX before embarking on it.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:27 PM
Jdforrester-WMF added a comment.Via WebSat, Jan 30, 6:43 AM

I wasn't wrong. Done in wmf.12.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptVia HeraldSat, Jan 30, 6:43 AM
Jdforrester-WMF closed this task as "Resolved".Via WebSat, Jan 30, 6:43 AM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set Security to None.
Jdforrester-WMF set Story Points to 8.
Jdforrester-WMF moved this task to TR0: Interrupt on the VisualEditor workboard.Via WebWed, Feb 3, 10:39 PM

Add Comment